## org.eclipse.emf.ecore.resource
Interface URIConverter.Writeable

All Known Implementing Classes:
  URIConverter.WriteableOutputStream

Enclosing interface:
  URIConverter

    public static interface URIConverter.Writeable

An interface that is optionally implemented by the output streams returned from `URIConverter.createOutputStream(URI)` and `URIConverter.createOutputStream(URI, Map)`.

See Also:
  `URIConverter.WriteableOutputStream`

Method Summary
`java.io.Writer` `asWriter()` Returns a writer that provides access to the same underlying data as the input stream itself.
`java.lang.String` `getEncoding()` Returns the encoding used to convert the writer's bytes to characters.

Method Detail

### asWriter

    java.io.Writer asWriter()

  Returns a writer that provides access to the same underlying data as the input stream itself.

  Returns:
    a writer that provides access to the same underlying data as the input stream itself.

### getEncoding

    java.lang.String getEncoding()

  Returns the encoding used to convert the writer's bytes to characters.

  Returns:
    the encoding used to convert the writer's bytes to characters.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.